## Apache Zeta Components Manual :: File Source for request_raw_mail.php

## Source for file request_raw_mail.php

Documentation is available at request_raw_mail.php

1. <?php
2. /**
3. *
4. * Licensed to the Apache Software Foundation (ASF) under one
5. * or more contributor license agreements. See the NOTICE file
6. * distributed with this work for additional information
7. * regarding copyright ownership. The ASF licenses this file
8. * to you under the Apache License, Version 2.0 (the
9. * "License"); you may not use this file except in compliance
10. * with the License. You may obtain a copy of the License at
11. *
12. * http://www.apache.org/licenses/LICENSE-2.0
13. *
14. * Unless required by applicable law or agreed to in writing,
15. * software distributed under the License is distributed on an
16. * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
17. * KIND, either express or implied. See the License for the
18. * specific language governing permissions and limitations
19. * under the License.
20. *
21. * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
22. * @version //autogentag//
23. * @filesource
24. * @package MvcMailTiein
25. */
27. /**
28. * Class that encapsulates a parsed e-mail structure.
29. *
30. * @package MvcMailTiein
31. * @version //autogentag//
32. */
33. class ezcMvcMailRawRequest extends ezcBaseStruct
34. {
35. /**
36. * Contains a reference to a parsed email structure
37. *
38. * @var ezcMail
39. */
40. public $mail ;
42. /**
43. * Constructs a new ezcMvcMailRawRequest.
44. *
45. * @param ezcMail $mail
46. */
47. public function __construct ( $mail = null )
48. {
49. $this-> mail = $mail;
50. }
52. /**
53. * Returns a new instance of this class with the data specified by $array.
54. *
55. * $array contains all the data members of this class in the form:
56. * array('member_name'=>value).
57. *
58. * __set_state makes this class exportable with var_export.
59. * var_export() generates code, that calls this method when it
60. * is parsed with PHP.
61. *
62. * @param array(string=>mixed) $array
63. * @return ezcMvcMailRawRequest
64. */
65. static public function __set_state ( array $array )
66. {
67. return new ezcMvcMailRawRequest( $array['mail'] );
68. }
69. }
70. ?>

Documentation generated by phpDocumentor 1.4.3